component extends="Cache"{

	fields = [ 
		field(
			displayName  = "Host",
			name         = "host",
			defaultValue = "127.0.0.1",
			required     = true,
			description  = "The ip or hostname of the Redis server",
			type         = "text"
		),
		field(displayName = "Port",
			name          = "port",
			defaultValue  = "6379",
			required      = true,
			description   = "The port Redis is listening on",
			type          = "text"
		),
		field(
			displayName   = "Cache Key Prefix",
			name          = "keyprefix",
			defaultValue  = "lucee-cache",
			required      = true,
			description   = "The unique cache key prefix to be used when storing keys from this cache. Remember that multiple caches can be registered against the same Redis instance. This will avoid collisions betwee Lucee caches."
		)
	];

	function getClass(){
		return "ortus.extension.cache.redis.RedisCache";
	}

	function getLabel(){
		return "Ortus Redis Cache";
	}

	function getDescription(){
		return "Ortus Redis Cache Extension will allow you to register caches so they can store their content on a distributed and highly scalable Redis cluster.  You can also use the extension for distributed session/client management, object functions and much more.{trial-description} ";
	}

}